
Infrastructure - Bug #7270

CN.listObjects doesn't filter result based on fromDate, toDate parameters

2015-07-23 17:53 - Peter Slaughter

Status: Closed Start date: 2015-07-23

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

The request "

https://cn.dataone.org/cn/v1/object?fromDate=2013-01-01T01:01:01.001+00:00&toDate=2013-01-03T01:01:01.001+00:00"

returns info for objects with dateSysMetadataModified values outside of the time range specified by fromDate > toDate. This was

tested on CCI 1.5.2

History

#1 - 2015-07-29 00:09 - Jing Tao

- Assignee set to Jing Tao

- Target version set to CCI-2.0.0

#2 - 2015-07-29 00:16 - Jing Tao

MN.listObjects has the same issue. The tomcat log showed;

metacat 20150728-16:58:15: [WARN]: Could not parse fromDate: 2013-01-01T01:01:01.001 00:00

[edu.ucsb.nceas.metacat.restservice.D1ResourceHandler]

metacat 20150728-16:58:15: [WARN]: Could not parse toDate: 2013-01-03T01:01:01.001 00:00

[edu.ucsb.nceas.metacat.restservice.D1ResourceHandler]

#3 - 2015-07-29 19:44 - Jing Tao

After dug around, I found the problem is the "+" in the url. It should be encoded by "%2B"

This url works:

https://cn.dataone.org/cn/v1/object?fromDate=2013-01-01T01:01:01.001%2B00:00&toDate=2013-01-03T01:01:01.001%2B00:00

#4 - 2015-07-29 19:45 - Jing Tao

- Status changed from New to Closed

- % Done changed from 0 to 100
